guile18-net-http stable port information

Package: guile18-net-http
Version: 0.3.1
Revision: 1003
BuildDepends: fink (>= 0.24.12-1), guile18-dev (>= 1.6.7-1010), guile18 (>= 1.6.7-1010), guile18-libs (>= 1.6.7-1010), libiconv-dev
Depends: guile18-shlibs (>= 1.6.7-1010)
Source: http://www.ysbl.york.ac.uk/~emsley/software/extras/net-http-%v.tar.gz
Source-MD5: b9428523889522933e4a55c7621ddfdb
SourceDirectory: net-http
DocFiles: README LICENSE
Description: HTTP library for Guile
DescDetail: <<
Guile18-net-http is a fairly straightforward HTTP library for Guile and
GOOPS. It can be used for writing scripts that need to
access web sites, or for writing libraries for protocols based on
HTTP. It models HTTP messages, clients, and servers.
<<
PatchFile: %n.patch
PatchFile-MD5: a1c26de29251deaaec862e59bb429cc2
#ConfigureParams: --infodir=%i/share/info
CompileScript: <<
#!/bin/bash -efv
export PATH=%p/share/guile/1.8/scripts/binoverride:$PATH
./configure --prefix=%i --infodir=%i/share/info
export GUILE_LOAD_PATH=%p/share/guile/1.8
# make
<<
InstallScript: <<
#!/bin/bash -efv
mkdir -p %i/share/guile/1.8
cp -r net %i/share/guile/1.8/.
<<
License: GPL
Maintainer: W. G. Scott

guile18-net-http stable port .patch

diff -ruN net-http-new/configure net-http/configure
--- net-http-new/configure 2005-03-27 07:32:49.000000000 -0800
+++ net-http/configure 2005-03-27 07:33:17.000000000 -0800
@@ -522,8 +522,8 @@



- # Extract the first word of "guile", so it can be a program name with args.
-set dummy guile; ac_word=$2
+ # Extract the first word of "guile-1.8", so it can be a program name with args.
+set dummy guile-1.8; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:529: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_GUILE'+set}'`\" = set"; then
@@ -562,9 +562,9 @@


## First, let's just see if we can find Guile at all.
- echo $ac_n "checking "for guile-config"""... $ac_c" 1>&6
-echo "configure:567: checking "for guile-config"" >&5
- for GUILE_CONFIG in guile-config $target-guile-config $build-guile-config; do
+ echo $ac_n "checking "for guile-1.8-config"""... $ac_c" 1>&6
+echo "configure:567: checking "for guile-1.8-config"" >&5
+ for GUILE_CONFIG in guile-1.8-config $target-guile-1.8-config $build-guile-1.8-config; do
echo "$ac_t"""$GUILE_CONFIG"" 1>&6
if ! $GUILE_CONFIG --version > /dev/null 2>&1 ; then
echo "configure: warning: "cannot execute $GUILE_CONFIG"" 1>&2
@@ -576,7 +576,7 @@
fi
done
if test "$GUILE_CONFIG" = "error"; then
- { echo "configure: error: "cannot find guile-config; is Guile installed?"" 1>&2; exit 1; }
+ { echo "configure: error: "cannot find guile-1.8-config; is Guile installed?"" 1>&2; exit 1; }
exit 1
fi

@@ -584,18 +584,6 @@

echo $ac_n "checking "Guile version"""... $ac_c" 1>&6
echo "configure:587: checking "Guile version"" >&5
- need_guile_version="1.4"
- need_guile_version_numeric=100400
- guile_version=`$GUILE_CONFIG --version 2>&1 | awk '{print $NF}'`
- guile_version_numeric=`echo $guile_version | awk -F. '
-{if ($3) {last = $3}
-else {last =0}}
-{printf "%s%s%s\n",$1*100, $2*10,last}'`
- echo "$ac_t"""$guile_version"" 1>&6
- if test $guile_version_numeric -lt $need_guile_version_numeric
- then
- { echo "configure: error: "Guile version "$need_guile_version" or newer is needed"" 1>&2; exit 1; }
- fi


echo $ac_n "checking for Guile site directory""... $ac_c" 1>&6

guile18-net-http _unstable_ port .patch